<template>
  <section class="section">
    <div class="container">
      <h1 class="title">Authenticate</h1>
      <br>
      <a
      :href="`https://gitlab.com/oauth/authorize?client_id=${appId}&redirect_uri=${redirectURI}&response_type=code&state=${$auth.getUserId()}`"
      class="button is-info">Authenticate</a>
    </div>
  </section>
</template>

<script>
const redirectURI = process.env.VUE_APP_REDIRECT_URI
const appId = process.env.VUE_APP_APP_ID
export default {
  data: () => ({
    appId,
    redirectURI
  })
}
</script>
